package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 清斗报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbQdjlCleaningitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbQdjlCleaningitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbQdjlCleaningitemsMapper.addSKcBbQdjlCleaningitems", pd);
    }

    public List<PageData> findSKcBbQdjlCleaningitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbQdjlCleaningitemsMapper.selectSKcBbQdjlCleaningitemsList", pd);
    }

    public Integer SKcBbQdjlCleaningitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbQdjlCleaningitemsMapper.SKcBbQdjlCleaningitemsRemove", pd);
    }


    public Integer updateSKcBbQdjlCleaningitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbQdjlCleaningitemsMapper.updateSKcBbQdjlCleaningitems", pd);
    }

}
